body {
    font-size: max(3.5vw, 15px);
    max-width: 100%;
    min-width: 100%;
    width: 100%;
}

hr.default {
    border-style: solid !important;
    border-width: 0 0 1px 0 !important;
    margin: 0 auto 0 auto;
    padding: 0 !important;
    position: absolute;
    top: 0vw;
    width: 100%;
    z-index: -1;
}

.budget_fy_detail {
    background-color: var(--background);
    font-size: 3vw;
    height: 4vw;
    left: 0%;
    line-height: 3vw;
    margin: 0 auto 0 auto !important;
    padding: 0 3vw !important;
    position: absolute;
    right: 0%;
    top: -1.5vw;
}

.budget_ytd_tbl {
    font-size: max(2.5vw, 14px) !important;
}

.budget_ytd_tbl td {
    padding: 2vw 2vw 2vw 2vw;
}

.budget_fy_detail_container {
    margin-top: 4vw;
    position: relative;
}

.page_description {
    margin: 7vw 3vw 0 3vw;
}

.budget_sort_button_container {
    padding: 8vw 0 0 0;
    width: 100%;
}

.budget_ytd_controls {
    margin-top: 1vw;
}

#toggle_details_button button:focus {
    outline: auto;
}

#toggle_details_button button {
    all: unset;
    background: linear-gradient(0deg, var(--color1) 0%, var(--color3) 100%);
    border: 2px solid var(--color9);
    border-radius: 8px;
    color: var(--text);
    display: inline-block;
    margin: 2vw;
    padding: 4vw;
    text-align: center;
    width: 35%;
}

.budget_sort_button_container_label {
    display: block;
}

.button_item_selected {
    border-width: 2px !important;
}

.budget_sort_link {
    border: 2px solid var(--color9);
    display: inline-block;
    margin: 2vw !important;
    padding: 4vw;
    width: 35%;
}

.budget_total {
    line-height: 150%;
}

.budget_ytd_description {
    display: none;
}

.budget_ytd_title_name {
    white-space: nowrap;
}

.budget_ytd_title_year {
}

.budget_ytd_totals_tbl {
    font-size: max(3vw, 13px);
    max-width: 100%;
    min-width: 100%;
}

.container {
    border: revert;
    border-radius: 0;
    box-sizing: border-box;
    line-height: 150%;
    margin: 0;
    padding: 1vw;
    width: 100vw !important;
}

.content_container {
    margin-top: 17vw;
    min-width: 100%;
}

.coq_title {
    font-size: 7vw;
    left: 0;
    margin: 0;
    padding: 0;
    position: fixed;
    right: 0;
    top: 2vw;
}

details[open] summary {
    box-sizing: border-box;
    width: 100%;
}

.finance_title {
    font-size: 3.4vw;
    left: 0;
    margin: 0;
    padding: 0;
    position: fixed;
    right: 0;
    top: 10vw;
}

.header_chall_img {
    display: none;
}

.header_date_short {
    border-style: solid !important;
    border-width: 0 0 0 0.25px !important;
    display: inline-block;
    margin-left: auto;
/ / padding: 10 px 20 px 10 px 20 px;
    padding: 1vw 2vw;
    position: relative;
}

.header_date {
    display: none;
}

/*
.header_links {
    bottom: 0;
    font-size: 3.5vw;
    height: fit-content;
    margin: auto 0 0 0;
    max-height: 20vw;
    padding: 0;
    position: fixed;
}
*/
.header_links {
    bottom: 0;
    display: flex;
    font-size: 3.5vw;
    margin: auto 0 0 0;
    max-height: 10vw;
    overflow-x: scroll;
    overflow-y: auto;
    padding: 0;
    position: fixed;
    white-space: nowrap;
    width: 338px;
}

.header_seal_img {
    background-image: revert;
    height: 15vw;
    left: 2vw;
    margin: 0 !important;
    padding: 0 !important;
    position: fixed;
    top: 1vw;
    width: 15vw;
}

.header_top_row.mobile_nav_show {
    background-color: var(--grey128);
    border-radius: 4px;
    bottom: 50px;
    display: grid;
    grid-template-columns: 50% 50%; /* Two columns, each 50% */
    grid-template-rows: auto auto; /* Two rows */
    height: auto;
    margin-top: auto;
    opacity: 1;
    padding: 1px;
    position: fixed;
    transition: 0.5s;
    visibility: visible;
}

.header_top_row .top_buttons, .mobile_nav_show .top_buttons {
    background: linear-gradient(0deg, var(--color1) 0%, var(--color4) 100%);
    border-radius: 4px;
    display: block;
    margin: 1px;
    padding: 8vw !important;
    width: 30vw;
}

.top_buttons {
    padding: 2vw 2vw 1vw 2vw !important;
}

.header_top_row {
    display: none;
}

.toggle_switch label {
    border-radius: 100px;
    cursor: pointer;
    display: block;
    height: 4vw;
    margin-left: 1vw;
    position: relative;
    text-indent: -9999px;
    top: 0px;
    width: 8vw;
}

.toggle_switch label::after {
    border-radius: 90px;
    content: '';
    height: 3vw;
    left: 4.4vw;
    position: absolute;
    top: 0.6vw;
    transition: 0.3s;
    width: 3vw;
}

.toggle_switch input:checked + label::after {
    left: calc(50% - .5vw);
    transform: translateX(-100%);
}

.header_top_row {
    bottom: 50px;
    display: grid;
    grid-template-columns: 50% 50%; /* Two columns, each 50% */
    grid-template-rows: auto auto; /* Two rows */
    height: auto;
    margin-top: auto;
    opacity: 0;
    padding: 1px;
    position: fixed;
    transition: 1.0s;
    visibility: hidden;
}

header {
    background-image: linear-gradient(to top, #003871, #3399ff, #003871);
    height: 17vw;
    margin: 0;
    max-width: 100%;
    min-height: revert;
    padding: 0;
    position: fixed;
}

.home_page {
    width: unset !important;
}

.home_page_links_container {
    margin: 0;
}

.home_page_links_outer_container {
    margin: auto;
    width: 100%;
}

.home_page_links {
    background: linear-gradient(0deg, var(--color1) 0%, var(--color4) 100%) !important;
    margin: 2vw 0;
    padding: 6vw;
}

.home_width {
    width: revert !important;
}

html, body {
    background-color: var(--background);
    overflow-x: hidden;
    padding: 0 !important;
}

.mobile_home_button {
    display: block;
    margin: 0 auto 0 auto;
    padding: 0 0 0 0;
    position: fixed;
    right: 2vw;
    top: 1vw;
}

#home_icon_mobile {
    height: 15vw;
}

#nav_link_mobile {
    display: inline-block;
    font-size: 5vw;
    margin: 0.5vw auto 1vw auto;
    padding: 1vw 3vw;
}

.no_break {
    white-space: nowrap;
}

.page_title {
    font-size: max(4.5vw, 16px);
    line-height: 150%;
    margin: 4vw auto 1vw auto !important;
    max-width: 90%;
    padding: 0 0 0 0 !important;
    text-align: center;
    width: max-content;
}

.page_sub_title {
    font-size: 4.5vw;
    line-height: 150%;
    margin: 14vw auto -2vw auto !important;
    max-width: 90%;
    padding: 0 0 0 0 !important;
    text-align: center;
    width: max-content;
}

.chart_title {
    font-size: 4vw;
    margin: 5vw 0 0 0;
    padding: 0 !important;
}

.budget_chart_description_text {
    display: inline-block;
    visibility: hidden;
}

.chartjs-html-legend {
    font-size: max(3.2vw, 16px);
}

#chart-legend {
    max-width: 100vw !important;
    overflow-x: scroll !important;
    padding: 1vw !important;
}

.budget_chart .chart_container {
    margin: 0 !important;
    max-width: 100vw !important;
    padding: 0 !important;
    width: 100%;
}

.budget_chart .chart_container #canvas_container {
    margin: 0;
    padding: 0;
}

.budget_chart .chart_container #canvas_container {
}

canvas {
}

.chart_container {
    min-width: 0 !important;
}

.page_title_total {
    font-size: 4.5vw;
    margin: 10vw 0 0 0;
    padding: 0 !important;
}

.remember_theme_display {
    background: linear-gradient(0deg, var(--color1) 0%, var(--color4) 100%);
    border-radius: 4px;
    padding: 29px 15px 30px 15px;
}

.right_pane {
    display: none;
}

.sticky_table th {
    position: initial;
    top: initial;
}

.table_container {
    overflow-x: auto !important;
}

.table_group {
    border: none;
    margin: 0;
    padding: 0 1vw 0 1vw;
}

.table_title_descriptor_outer {
    float: right;
    min-width: revert;
}

.table_title_descriptor {
    display: none;
    margin-right: 20px;
}

.table_title {
    box-sizing: border-box;
    font-size: max(3.2vw, 16px);
    padding: 2.5vw 1vw 2.5vw 1vw;
    width: 100%;
}

td {
    width: fit-content;
}

.test_header {
    display: none;
}

#theme_dropdown_content {
    background-color: var(--grey128);
    border-radius: 4px;
    bottom: 50px;
    padding: 2px;
    position: fixed;
    right: 0;
/ / visibility: visible !important;
    transition: 1.5s;
}

tr:nth-child(even) td {
    background-color: var(--table_row_odd);
}

tr:nth-child(odd) td {
    background-color: var(--table_row_even);
}

/* local receipt */
.local_receipt_page .mobile_page_description {
    display: block;
    margin: 3vw auto;
    width: max-content;
}

.local_receipt_page .page_description {
    display: none;
}

.local_receipt_page {
    padding: 2vw;
}

.local_receipt_table td, .local_receipt_table th {
    margin: 1vw !important;
    padding: 1vw !important;
}

.local_receipt_table td:first-child {
    padding-left: 1.2vw !important;
}

.local_receipt_table td:last-child {
    padding-right: 1.2vw !important;
}

.local_receipt_table {
    font-size: max(2.5vw, 14px) !important;
}

.local_receipt_table tr > th:nth-child(1), .local_receipt_table tr > td:nth-child(1) {
    left: 0 !important;
    line-height: 125%;
    position: sticky !important;
    width: 28vw !important;
}

th {
    font-size: max(2.5vw, 13px) !important;
}

/***/
.budget_ytd_tbl th {
    font-size: max(2.5vw, 13px) !important;
}

.budget_ytd_tbl th:nth-child(3), .budget_ytd_tbl tr > td:nth-child(3) {
    font-size: max(2.5vw, 13px);
    left: 0 !important;
    line-height: 125%;
    position: sticky !important;
    width: min(25vw, fit-content);
    z-index: 100;
}

.update_time_print_mobile {
    display: block;
    line-height: 150%;
    padding: 5px 0 20px 0;
}

.update_time_print {
    display: none;
}

.ytd_table_outer {
    grid-template-columns: 100%;
    margin: auto;
    padding: 6%;
    width: 88%;
}

.budget_ytd_pct_bar_container {
    border: 1px solid rgb(from var(--text) r g b / 0.3);
    display: inline-grid;
    float: right;
    grid-column-gap: 0;
    grid-template-columns: 50% 50%;
    height: 3.5vw;
    margin: 0 0 0 7px;
    width: 12vw;
}

.page_container {
    display: unset;
}

#budget_years_select {
    background-color: var(--grey128);
    border-color: var(--grey128);
/ / box-shadow: 1 px 1 px 2 px 0 rgb(from var(--color6) r g b / 0.7);
    border-radius: 4px;
    border-style: solid;
    border-width: 0 0 1px 0;
    display: none;
    max-height: 50vh;
    overflow-y: scroll;
    position: fixed;
    width: 50vw;
}

#side_pane_inner {
    display: none;
}

.side_pane_links {
    background: linear-gradient(0deg, var(--color1) 0%, var(--color4) 100%);
    border-radius: 4px;
    margin: 2px;
    padding: 5.5vw;
}

.side_pane_header {
    display: none;
}

.side_pane {
    margin: 0 !important;
    padding: 0;
    width: 100vw;
}

#side_pane_mobile_header {
    background-color: var(--background);
    border: 1px solid var(--color6);
    border-radius: 0 0 4px 0;
    display: block;
    font-size: 4vw;
    margin: 0;
    padding: 3vw;
    position: fixed;
    text-align: center;
    top: 17vw;
}

.budget_chart .chartjs-html-legend {
    column-gap: 3vw;
    display: grid;
    grid-template-columns: min-content max-content;
    padding: 0 !important;
}

#translate_combo {
    bottom: 10vw;
    left: 50%;
    max-width: 100vw;
    position: fixed;
    transform: translate(-50%);
}

#budget_chart_options {
    left: 50%;
    max-width: 100vw;
    position: absolute;
    transform: translate(-50%);
    width: max-content;
}

#budget_chart_description_line {
    margin: 4vw 0 4vw 0;
}

.budget_chart .budget_legend_box {
    height: 2vw !important;
    width: 2vw !important;
}

.bud_dept_desc {
    max-height: 5lh;
    -webkit-overflow-scrolling: touch;
    overflow-y: scroll;
    padding: 3vw 0 0 0;
    width: 100%;
}

.home_page_description {
    padding-left: 1vw;
    padding-right: 1vw;
    width: fit-content;
}

.page_content {
    display: block;
    padding: 0 1vw 1vw 1vw;
}

.budget_main_category {
    box-sizing: border-box;
    font-size: max(3.8vw, 16px);
    padding: 4vw 2vw;
    width: 100%;
}

.bud_main_cat_table_title_total {
    font-size: 3vw;
}

#home_mobile_message {
    display: block;
}

#home_mobile_message_title {
    font-size: 4vw;
    margin-bottom: 4vw;
}

tr.odd td {
    padding-bottom: 2.5vw;
    padding-top: 2.5vw;
}

tr.even {
}

.add_header_format {
    background-color: var(--table_header) !important;
}

.ytd_table_col_2 #canvas_container {
    margin-top: 4vw;
}

#cat_sort_toggle_button {
    display: block;
}

.show_personal_checkbox {
    height: 3vw;
    margin-left: 1vw;
    transform: scale(1.4);
    width: 3vw;
}

#show_personal_label, .show_dept_label {
    background: linear-gradient(0deg, var(--color1) 0%, var(--color3) 100%) !important;
    border: 1px solid var(--color9);
    border-radius: 4px;
    margin-bottom: 10px;
    margin-top: 10px;
    min-width: 75%;
    padding-bottom: 10px !important;
    padding-top: 10px !important;
    text-align: center;
}


.tbl_options {
    position: absolute;
    right: 2vw;
    transform: translateY(-35px);
}

.tbl_freeze_options {
    display: none;
}

.tbl_link_scroll {
    display: none;
}

.tbl_budget_advanced_params_container {
    margin: 4vw 0 !important;
    padding: 10px;
    width: 100%;
}

.tbl_budget_advanced_params {
    td {
        height: 20px;
    }
    td:first-child {
        padding: 4px 10px;
        width: fit-content;
    }
    input {
        cursor: pointer;
        height: clamp(20px, 1.6vw, 24px);
        margin: 0 2vw;
        width: clamp(20px, 1.6vw, 24px);
    }
    tr {
        height: 40px;
        padding: 0;
    }
}


.bud_advanced_tbl {
    tr > th:nth-child(4), tr > td:nth-child(4) {
        min-width: min-content;
        width: min-content;
        max-width: min-content;
    }
    tr:nth-child(even) td {
        background-color: var(--table_row_odd);
    }

    tr:nth-child(odd) td {
        background-color: var(--table_row_even);
    }
}
